MAC complains of Yamaha Legacy stuff will not be compatible with future OS version. now what?

I am getting this message when booting up… The only Yamaha product I have (unless , i have an old driver or software hiding on my hard disk) is the UR12…
I have the latest drivers installed.
I cannot find anything on this website regarding my interface…
Must I start thinking about upgrading my hardware ?

A RELATED QUESTION:

What is the process if i want to upgrade…
Do I have to do an UNINSTALL of anything ? or do i just remove my hardware and buy a new interface and install it as a new device. ? If I do have to uninstall … is there a link you can direct me to ?